#!/usr/bin/env fish
set Green '\033[0;32m'        # Green
set NC    '\033[0m'           # No Color

{{ if eq .chezmoi.os "linux" -}}
	sudo timedatectl set-timezone Europe/Moscow
{{ end -}}

echo -e "


$Green""###############################################################################
##                                                                           ##
## Waiting for Neovim treesitter initiations                                 ##
##                                                                           ##
###############################################################################$NC"

timeout 10s nvim --headless ":TSUpdate" || true

echo -e "


$Green""###############################################################################
##                                                                           ##
## Preparing to configure tide prompt...                                     ##
##                                                                           ##
###############################################################################$NC"
sleep 3

echo 2132335212421y | tide configure

cd ~
